#ifndef CSTATUSMOTORPOS_H
#define CSTATUSMOTORPOS_H

#include "cmwidget.h"

namespace Ui {
class CStatusMotorPos;
}
class QGridLayout;
class QPixmap;
class QColor;
#include "logic.h"
class CStatusMotorPos : public CMWidget
{
    Q_OBJECT

    typedef QMap<int,int> MOTORMAP;
public:
    explicit CStatusMotorPos(QWidget *parent , bool btrans);
    ~CStatusMotorPos();

private:
    Ui::CStatusMotorPos *ui;
public:
	QGridLayout* m_pGridLayOut;
    void MInit();
    void showEvent(QShowEvent *event);
    void hideEvent(QHideEvent *event);
    void paintEvent(QPaintEvent *);
    void MTimeFresh();
    void MFresh();
    int m_iColumnCount;
    int m_iRowHeight;

    QPixmap m_Pixmap;
    QColor m_BKColor;
    MOTORMAP m_motorMap;
    bool m_bTrans;
};

#endif // CSTATUSMOTORPOS_H
